Option Strict On
Module Module1
    Function dv(ByVal x As Double) As Double
        Return 2 * Math.Exp(-x) * (1 - Math.Exp(-x))
    End Function
    Function dx(ByVal x As Double) As Double
        Return dv(x)
    End Function
    Sub Main()
        Dim t, t0, t1, dt, x, x0, v, v0 As Double
        t0 = 0 : t1 = 30 : x0 = 2 : v0 = 0 : dt = 0.001
        x = x0 : v = v0
        For i As Integer = 1 To CInt((t1 - t0) / dt)
            t = t0 + i * dt
            x += dt * v
            v += dt * dv(x - dt * v)
            Console.WriteLine("{0}; {1}; {2}", t, x, v)
        Next i
        Console.ReadLine()
    End Sub
End Module
